Package org.springframework.validation.annotation

# Class ValidationAnnotationUtils

java.lang.Object
org.springframework.validation.annotation.ValidationAnnotationUtils

public abstract class ValidationAnnotationUtils extends Object
Utility class for handling validation annotations. Mainly for internal use within the framework.

Since:
  5.3.7
Author:
  Christoph Dreis, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ValidationAnnotationUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Object[]`
`determineValidationHints(Annotation ann)`
Determine any validation hints by the given annotation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidationAnnotationUtils

public ValidationAnnotationUtils()

## Method Details

### determineValidationHints

@Nullable public static Object[] determineValidationHints(Annotation ann)
Determine any validation hints by the given annotation.

This implementation checks for Spring's `Validated`, `@jakarta.validation.Valid`, and custom annotations whose name starts with "Valid" which may optionally declare validation hints through the "value" attribute.

Parameters:
  `ann` - the annotation (potentially a validation annotation)
Returns:
  the validation hints to apply (possibly an empty array), or `null` if this annotation does not trigger any validation